Skip to main content
GET
/
v1
/
unstable
/
agent
/
tasks
/
{taskId}
Get task status
curl --request GET \
  --url https://api.deepl.com/v1/unstable/agent/tasks/{taskId} \
  --header 'Authorization: <api-key>'
{
  "status": "InProgress",
  "last_modified_date": "2025-12-04T10:30:00Z",
  "ui_url": "https://agent.deepl.com/static/chat/e634159a-3414-4f66-a5cd-a1d48ff42ce3",
  "result": {}
}

Authorizations

Authorization
string
header
required

Authentication with Authorization header and DeepL-Auth-Key authentication scheme. Example: DeepL-Auth-Key <api-key>

Path Parameters

taskId
string<uuid>
required

Unique identifier of the task to retrieve

Response

Successfully retrieved task status

status
enum<string>
required

Current status of the task

Available options:
Archived,
InProgress,
Completed,
Canceled,
Error,
FeedbackNeeded
Example:

"Completed"

last_modified_date
string<date-time>
required

Timestamp of when the task was last modified (ISO 8601 format)

Example:

"2025-12-04T10:35:00Z"

result
object
required

Workflow result containing presigned URLs to retrieve output artifacts. Present in all responses; empty object {} while the task is in progress.

ui_url
string | null

URL to view the task in the agentic UI

Example:

"https://agent.deepl.com/static/chat/e634159a-3414-4f66-a5cd-a1d48ff42ce3"

result_data
object[] | null

List of all artifacts produced by the workflow, with metadata and presigned content URLs.